%global momorel 9

Name:           perl-WebService-BuzzurlAPI
Version:        0.02
Release:        %{momorel}m%{?dist}
Summary:        Buzzurl WebService API
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WebService-BuzzurlAPI/
Source0:        http://www.cpan.org/modules/by-module/WebService/WebService-BuzzurlAPI-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Class-Accessor >= 0.25
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-YAML-Syck
BuildRequires:  perl-libwww-perl
BuildRequires:  perl-Readonly >= 1.01
BuildRequires:  perl-UNIVERSAL-require >= 0.1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Buzzurl is social bookmark service.

%prep
%setup -q -n WebService-BuzzurlAPI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

#%%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/WebService/BuzzurlAPI*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.02-9m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-8m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-7m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-5m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-4m)
- rebuild against rpm-4.6

* Sat May 10 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.02-3m)
- do not check

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.02-2m)
- rebuild against gcc43

* Wed Oct 03 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
